<EntityClassDefinition.SimpleOpenableObject_Bathroom_Shower __id="b3afb4ac-ded3-429f-9ca3-4080503ffeca" __path="libs/foundry/records/entities/scitem/simpleopenableobject_bathroom_shower.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="objects/buildingsets/human/lowtech/prop/utilitarian/hab/hab_module_1_bathroom_shower_a.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityStaticPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" gameCollisionClass="None" Mass="0.0" />
    </SEntityPhysicsControllerParams>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="00000000-0000-0000-0000-000000000000" RequiredTags="" Size="1" SubType="UNDEFINED" Tags="" Type="Cargo">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Interaction" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors />
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" IsPrimary="1">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_open" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" IsPrimary="0">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_close" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
        </InteractionPoints>
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_open" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_close" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SInteractionStateMachineParams __type="DataForgeComponentParams" __polymorphicType="SInteractionStateMachineParams">
      <StateTypes>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="None" networkAuthority="Server" StateTypeName="States">
          <DefaultState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Closed">
            <EnterEventDispatchers />
            <enterStateEffectTags />
            <entityTags __type="TagList">
              <tags />
            </entityTags>
            <exitStateEffectTags />
            <Interactions>
              <SInteractionStateTransition __type="SInteractionStateTransition">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_open" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
                <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="classReference_structure:SStateAutoChange" StateName="Opening" stateTags="structInstance_TagList_props:1">
                  <EnterEventDispatchers />
                  <enterStateEffectTags 85d5b3fe-f3b6-4218-b4d6-ed3ad33b5775="85d5b3fe-f3b6-4218-b4d6-ed3ad33b5775" />
                  <exitStateEffectTags />
                  <Interactions />
                </NextState>
              </SInteractionStateTransition>
            </Interactions>
            <stateTags __type="TagList">
              <tags />
            </stateTags>
          </DefaultState>
          <StateModifiers />
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Closed" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="classReference_structure:SStateAutoChange" StateName="Opening" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags 85d5b3fe-f3b6-4218-b4d6-ed3ad33b5775="85d5b3fe-f3b6-4218-b4d6-ed3ad33b5775" />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="Opened">
              <EnterEventDispatchers />
              <enterStateEffectTags />
              <entityTags __type="TagList">
                <tags />
              </entityTags>
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition __type="SInteractionStateTransition">
                  <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_close" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                    <QueryTags />
                  </Interaction>
                  <NextState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="classReference_structure:SStateAutoChange" StateName="Closing" stateTags="structInstance_TagList_props:1">
                    <EnterEventDispatchers />
                    <enterStateEffectTags 8845d59e-2fe2-4ed3-8a0f-0a86fa56365a="8845d59e-2fe2-4ed3-8a0f-0a86fa56365a" />
                    <exitStateEffectTags />
                    <Interactions />
                  </NextState>
                </SInteractionStateTransition>
              </Interactions>
              <stateTags __type="TagList">
                <tags />
              </stateTags>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="classReference_structure:SStateAutoChange" StateName="Closing" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags 8845d59e-2fe2-4ed3-8a0f-0a86fa56365a="8845d59e-2fe2-4ed3-8a0f-0a86fa56365a" />
              <exitStateEffectTags />
              <Interactions />
            </SInteractionState>
          </States>
        </SInteractionStateType>
      </StateTypes>
    </SInteractionStateMachineParams>
    <SAnimationControllerParams __type="DataForgeComponentParams" __polymorphicType="SAnimationControllerParams" AnimationController="" AnimationDatabase="" AnimationJointControls="None" defaultAnimation="None">
      <AnimationControlActorIKs />
      <AnimationTasks>
        <SSequencerSkeletonAnimationTaskParams __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="shower_open" layerId="0" looping="0" playbackSpeed="1.0" />
        <SSequencerSkeletonAnimationTaskParams __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="shower_close" layerId="0" looping="0" playbackSpeed="1.0" />
      </AnimationTasks>
      <ScopeContexts />
      <Tags />
    </SAnimationControllerParams>
    <SEntityComponentSequencerParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentSequencerParams" resetSequence="None">
      <sequences>
        <SReplicatedSequencerDefSequenceParams __type="SSequencerDefSequenceParams" __polymorphicType="SReplicatedSequencerDefSequenceParams" name="Open">
          <interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_open" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </interaction>
          <taskEntries>
            <SSequencerSequenceTaskEntryParams __type="SSequencerSequenceTaskEntryParams" haltOnFailure="1" postDelay="0.0">
              <dependentTasks />
              <task __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="shower_open" layerId="0" looping="0" playbackSpeed="1.0" />
            </SSequencerSequenceTaskEntryParams>
          </taskEntries>
        </SReplicatedSequencerDefSequenceParams>
        <SReplicatedSequencerDefSequenceParams __type="SSequencerDefSequenceParams" __polymorphicType="SReplicatedSequencerDefSequenceParams" name="Close">
          <interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_close" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </interaction>
          <taskEntries>
            <SSequencerSequenceTaskEntryParams __type="SSequencerSequenceTaskEntryParams" haltOnFailure="1" postDelay="0.0">
              <dependentTasks />
              <task __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerSkeletonAnimationTaskParams" animationName="shower_close" layerId="0" looping="0" playbackSpeed="1.0" />
            </SSequencerSequenceTaskEntryParams>
          </taskEntries>
        </SReplicatedSequencerDefSequenceParams>
      </sequences>
    </SEntityComponentSequencerParams>
    <SEntityComponentEffects __type="DataForgeComponentParams" __polymorphicType="SEntityComponentEffects">
      <entityEffects __type="SEntitityEffectSystem_SystemBase" __polymorphicType="SEntitityEffectSystem_System" audioEnvironmentEffects="None" lightEffects="None" materialEffects="None" particleEffects="None" uiOwnerEffects="None">
        <sequencerTags />
        <soundEffects __type="SEntityEffectSystem_Category" __polymorphicType="SEntityEffectSystem_SoundCategory" allowMultipleTags="1" enabled="1">
          <tagEffects />
          <triggerEffects>
            <SEntityEffectSystem_SoundTriggerEffect __type="SEntityEffectSystem_SoundEffect" __polymorphicType="SEntityEffectSystem_SoundTriggerEffect" enabled="1" multiPosition="0" name="Extend" trigger="85d5b3fe-f3b6-4218-b4d6-ed3ad33b5775" useDefaultProxy="0">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_EntitySlot" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="1.25" y="0.6000000238418579" z="2.4000000953674316" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <propertyLinks />
              <soundEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_MCAN_Lorville_HabModule_Bathroom_Shower_Extend" />
            </SEntityEffectSystem_SoundTriggerEffect>
            <SEntityEffectSystem_SoundTriggerEffect __type="SEntityEffectSystem_SoundEffect" __polymorphicType="SEntityEffectSystem_SoundTriggerEffect" enabled="1" multiPosition="0" name="Retract" trigger="8845d59e-2fe2-4ed3-8a0f-0a86fa56365a" useDefaultProxy="0">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_EntitySlot" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="1.25" y="0.6000000238418579" z="2.4000000953674316" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <propertyLinks />
              <soundEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_MCAN_Lorville_HabModule_Bathroom_Shower_Retract" />
            </SEntityEffectSystem_SoundTriggerEffect>
          </triggerEffects>
        </soundEffects>
      </entityEffects>
      <staticColors />
      <staticValues />
      <tagsToEnableOnLoad />
      <triggersToEnableOnLoad />
    </SEntityComponentEffects>
    <SEntityAudioControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityAudioControllerParams" audioControllerEntityType="None" fullLODDistance="9000.0" fullToLowLODDistance="9050.0" occlusionAttenuationScaler="0.5" offLODDistance="10050.0" offToLowLODDistance="10000.0" randomSeedCount="0">
      <tags __type="TagList">
        <tags />
      </tags>
    </SEntityAudioControllerParams>
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.SimpleOpenableObject_Bathroom_Shower>